<!DOCTYPE html>
<html><head>
<title>eric7.UI</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.UI</h1>
<p>
Package implementing the main user interface and general purpose dialogs.
</p>
<p>
This package contains the main user interface and some general purpose
dialogs as well as dialogs not fitting the other more specific categories.
</p>


<h3>Packages</h3>
<table>

<tr>
<td><a href="index-eric7.UI.Previewers.html">Previewers</a></td>
<td>Package containing the various previewer modules.</td>
</tr>
<tr>
<td><a href="index-eric7.UI.data.html">data</a></td>
<td>Package defining some data used by UI widgets.</td>
</tr>
</table>

<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.UI.AuthenticationDialog.html">AuthenticationDialog</a></td>
<td>Module implementing the authentication dialog for the help browser.</td>
</tr>
<tr>
<td><a href="eric7.UI.Browser.html">Browser</a></td>
<td>Module implementing a browser with class browsing capabilities.</td>
</tr>
<tr>
<td><a href="eric7.UI.BrowserModel.html">BrowserModel</a></td>
<td>Module implementing the browser model.</td>
</tr>
<tr>
<td><a href="eric7.UI.BrowserSortFilterProxyModel.html">BrowserSortFilterProxyModel</a></td>
<td>Module implementing the browser sort filter proxy model.</td>
</tr>
<tr>
<td><a href="eric7.UI.ClearPrivateDataDialog.html">ClearPrivateDataDialog</a></td>
<td>Module implementing a dialog to select which private data to clear.</td>
</tr>
<tr>
<td><a href="eric7.UI.CodeDocumentationViewer.html">CodeDocumentationViewer</a></td>
<td>Module implementing a widget to show some source code information provided by plug-ins.</td>
</tr>
<tr>
<td><a href="eric7.UI.CodeDocumentationViewerTemplate.html">CodeDocumentationViewerTemplate</a></td>
<td>Module implementing functions to prepare an HTML documentation view.</td>
</tr>
<tr>
<td><a href="eric7.UI.CompareDialog.html">CompareDialog</a></td>
<td>Module implementing a dialog to compare two files and show the result side by side.</td>
</tr>
<tr>
<td><a href="eric7.UI.DeleteFilesConfirmationDialog.html">DeleteFilesConfirmationDialog</a></td>
<td>Module implementing a dialog to confirm deletion of multiple files.</td>
</tr>
<tr>
<td><a href="eric7.UI.DiffDialog.html">DiffDialog</a></td>
<td>Module implementing a dialog to compare two files.</td>
</tr>
<tr>
<td><a href="eric7.UI.DiffHighlighter.html">DiffHighlighter</a></td>
<td>Module implementing a syntax highlighter for unified and context diff outputs.</td>
</tr>
<tr>
<td><a href="eric7.UI.EmailDialog.html">EmailDialog</a></td>
<td>Module implementing a dialog to send bug reports or feature requests.</td>
</tr>
<tr>
<td><a href="eric7.UI.ErrorLogDialog.html">ErrorLogDialog</a></td>
<td>Module implementing a dialog to display an error log.</td>
</tr>
<tr>
<td><a href="eric7.UI.FindFileFilterPropertiesDialog.html">FindFileFilterPropertiesDialog</a></td>
<td>Module implementing a dialog to enter the file filter properties.</td>
</tr>
<tr>
<td><a href="eric7.UI.FindFileFiltersEditDialog.html">FindFileFiltersEditDialog</a></td>
<td>Module implementing a dialog to configure the file filters.</td>
</tr>
<tr>
<td><a href="eric7.UI.FindFileWidget.html">FindFileWidget</a></td>
<td>Module implementing a dialog to search for text in files.</td>
</tr>
<tr>
<td><a href="eric7.UI.FindLocationWidget.html">FindLocationWidget</a></td>
<td>Module implementing a dialog to search for files.</td>
</tr>
<tr>
<td><a href="eric7.UI.Info.html">Info</a></td>
<td>Module defining some informational strings.</td>
</tr>
<tr>
<td><a href="eric7.UI.InstallInfoDialog.html">InstallInfoDialog</a></td>
<td>Module implementing a dialog to show information about the installation.</td>
</tr>
<tr>
<td><a href="eric7.UI.LogView.html">LogView</a></td>
<td>Module implementing the log viewer widget and the log widget.</td>
</tr>
<tr>
<td><a href="eric7.UI.NotificationWidget.html">NotificationWidget</a></td>
<td>Module implementing a Notification widget.</td>
</tr>
<tr>
<td><a href="eric7.UI.NumbersWidget.html">NumbersWidget</a></td>
<td>Module implementing a widget to show numbers in different formats.</td>
</tr>
<tr>
<td><a href="eric7.UI.Previewer.html">Previewer</a></td>
<td>Module implementing a previewer widget for HTML, Markdown and ReST files.</td>
</tr>
<tr>
<td><a href="eric7.UI.PythonAstViewer.html">PythonAstViewer</a></td>
<td>Module implementing a widget to visualize the Python AST for some Python sources.</td>
</tr>
<tr>
<td><a href="eric7.UI.PythonDisViewer.html">PythonDisViewer</a></td>
<td>Module implementing a widget to visualize the Python Disassembly for some Python sources.</td>
</tr>
<tr>
<td><a href="eric7.UI.SearchWidget.html">SearchWidget</a></td>
<td>Module implementing the search box for the shell and log viewer.</td>
</tr>
<tr>
<td><a href="eric7.UI.SplashScreen.html">SplashScreen</a></td>
<td>Module implementing a splashscreen for eric.</td>
</tr>
<tr>
<td><a href="eric7.UI.SymbolsWidget.html">SymbolsWidget</a></td>
<td>Module implementing a widget to select a symbol in various formats.</td>
</tr>
<tr>
<td><a href="eric7.UI.UserInterface.html">UserInterface</a></td>
<td>Module implementing the main user interface.</td>
</tr>
<tr>
<td><a href="eric7.UI.VersionsDialog.html">VersionsDialog</a></td>
<td>Module implementing a dialog to show the versions of various components.</td>
</tr>
<tr>
<td><a href="eric7.UI.upgrader.html">upgrader</a></td>
<td>Script to upgrade the packages eric depends on.</td>
</tr>
</table>
</body></html>
